Bug 71622 - cs4232 module is not auto-loaded on use
cs4232 module is not auto-loaded on use
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-15 16:33 EDT by Thomas M Steenholdt
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my /proc/isapnp for you :o) (1.44 KB, text/plain)
2002-08-16 13:54 EDT, Thomas M Steenholdt
no flags Details
my /proc/isapnp file (Phoebe .93 version) (1.51 KB, text/plain)
2003-01-27 14:09 EST, Thomas M Steenholdt
no flags Details

  None (edit)
Description Thomas M Steenholdt 2002-08-15 16:33:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
first of all I was not really sure if this bug belonged in kernel or kudzu or
somewhere else, so here goes...

When I perform a task requireing my sound card module, it's usually loaded
automatically, however in the Limbo kernel(limbo2) that only partially happens...

on my RH 7.3 performing "playwave /usr/share/sounds/KDE_Statup.wav", results in
the loading of cs4232, ad1848, soundcore and sound modules.
The same command in limbo loads all the modules from above, with the exception
of cs4232, resulting in an error like this:

ad1848: ISAPnP reports 'WSS/SB' at i/o 0x534, irq 5, dma 1,3
Couldn't open audio: No available audio device
(uhm - and no sound is heard)

if I modprobe cs4232 myself and attempts the above command again, everything
works like a charm

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. from freshly booted machine, run "playwave /path/to/some/wavefile.wav"
2. watch the output and listen to the missing sound ;-)

	

Actual Results:  no sound - and an error occurs

Expected Results:  sound - and no errors

Additional info:
Comment 1 Bill Nottingham 2002-08-15 21:56:59 EDT
What does /etc/modules.conf look like?

Can you post your /proc/isapnp?
Comment 2 Thomas M Steenholdt 2002-08-16 13:54:35 EDT
Created attachment 71205 [details]
my /proc/isapnp for you :o)
Comment 3 Bill Nottingham 2002-08-19 23:51:45 EDT
What happens if you change the entry in /etc/modules.conf from ad1848 to cs4232?
Comment 4 Thomas M Steenholdt 2002-08-20 08:37:47 EDT
The change to /etc/modules.conf makes everything work like it's supposed to...


I have a similar case with an cs46xx.o card (PCI) in a laptop... I looked in the
/etc/modules.conf for that machine, but found no statement for the soundcard al
all... Is that the same case or will I need to make an additional bugzilla
incident on that one?
Comment 5 Thomas M Steenholdt 2002-08-20 08:38:42 EDT
By the way, this is still an issue with (null)
Comment 6 Thomas M Steenholdt 2002-08-21 07:03:05 EDT
small adjustment... actually the cs46xx.o issue is fixed in (null) so never mind
that comment.

Still have the problem with my isapnp cs4232 device though!
Comment 7 Thomas M Steenholdt 2002-09-26 16:10:56 EDT
i'm wondering wether or not this has been fixed in the final release of 8.0 -
i'm guessing no!
Comment 8 Thomas M Steenholdt 2002-10-04 02:54:49 EDT
moving to RHL 8.0 - problem still there...
also I'm taking the liberty to move the bug to kudzu, as it seems, that really
more the problem component that the kernel (either that or hwdata)
Comment 9 Bill Nottingham 2002-10-04 13:01:45 EDT
No, it is a kernel issue. The ad1848 claims a device it does not support.
Comment 10 Arjan van de Ven 2002-10-17 05:22:42 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-206.html
Comment 11 Thomas M Steenholdt 2002-10-18 01:58:04 EDT
Doesn't work - I applied all errata both kernel and hwdata - removed the sound
related entries from /etc/modules.conf and the sound card related sections from
/etc/sysconfig/hwconf and ran kudzu - still the ad1848 module is put in
/etc/modules.conf and it doesn't work unless I change it manually to cs4232
Comment 12 Thomas M Steenholdt 2002-11-04 08:41:44 EST
any news on this one???
Comment 13 Alexander Larsson 2003-01-27 04:39:05 EST
I see this on my machine too. (Latest phoebe beta).
Comment 14 Bill Nottingham 2003-01-27 12:29:14 EST
Alex, does your /proc/isapnp match?
Comment 15 Thomas M Steenholdt 2003-01-27 14:04:38 EST
Argh, i didn't even see this until now!

Exact same problem; sound-slot-1 is aliased to ad1848 which does not work...
replacing ad1848 with cs4232 and rmmod ad1848(or reboot) makes the sound work!

I'm sliding this problem to Phoebe, as it's obviously still spooking!
Comment 16 Thomas M Steenholdt 2003-01-27 14:09:50 EST
Created attachment 89623 [details]
my /proc/isapnp file (Phoebe .93 version)

(i decided not to make the old file obsolete, know you know)

The /proc/isapnp file in the Phoebe .93 kernel differs slightly from the old
one so here you are!
Comment 17 Alexander Larsson 2003-01-28 03:09:04 EST
Mine is identical to the last one tmus attached.
Comment 18 Bugzilla owner 2004-09-30 11:39:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.